package com.yonge.toolset.payment.base.enums;

import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 支付客户端
 *
 * @author liweifan
 * @date 2022-04-24
 */
public enum PaymentClientEnum implements BaseEnum<String, PaymentClientEnum> {

    STUDENT("学生端"),
    TEACHER("老师端");
    
    private String code;
    private String msg;

    PaymentClientEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
